Index: /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/lim2.card
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/lim2.card	(revision 1763)
+++ /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/lim2.card	(revision 1764)
@@ -21,8 +21,8 @@
 
 [OutputFiles]
-List=   (${PREFIX_NWRITE}_${DATE_OPA}_icemod.nc, ${R_OUT_ICE_NWRITE}/${PREFIX}_${WF1}_icemod.nc, Post_1M_icemod)
+List=   (${PREFIX_WFI1}_icemod.nc, ${R_OUT_ICE_WFI1}/${PREFIX}_${WFI1}_icemod.nc, Post_5D_icemod)
 
 [Post_1M_icemod]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars = (iicethic, ileadfra, isnowthi, iicevelu, iicevelv)
Index: /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/lim2.driver
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/lim2.driver	(revision 1763)
+++ /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/lim2.driver	(revision 1764)
@@ -16,4 +16,29 @@
     IGCM_debug_PushStack "ICE_Update"
 
+    NbFreq=$( echo ${config_ICE_WriteFrequency} | wc -w )
+
+    ##--Write Frequency Purpose ....
+    typeset -Z1 i=1
+    while [ $i -le ${NbFreq} ]; do
+        frequency=$( echo ${config_ICE_WriteFrequency} | awk -v var="$i" "-F " '{print $var}' )
+        factor=$( echo ${frequency} | sed -e "s/[yYmMdD]//" )
+        case ${frequency} in
+            *Y|*y)
+                eval PREFIX_WFI${i}=${config_UserChoices_JobName}_${factor}y_${DatesPeriod} ;
+                eval R_OUT_ICE_WFI${i}=${R_OUT_ICE_O_Y} ;
+                eval WFI${i}=${factor}Y ;;
+            *M|*m)
+                eval PREFIX_WFI${i}=${config_UserChoices_JobName}_${factor}m_${DatesPeriod} ;
+                eval R_OUT_ICE_WFI${i}=${R_OUT_ICE_O_M} ;
+                eval WFI${i}=${factor}M ;;
+            *D|*d)
+                eval PREFIX_WFI${i}=${config_UserChoices_JobName}_${factor}d_${DatesPeriod} ;
+                eval R_OUT_ICE_WFI${i}=${R_OUT_ICE_O_D} ;
+                eval WFI${i}=${factor}D ;;
+            *)
+        esac
+        let i=$i+1
+
+    done
     echo UPDATE ICE !!!
 
Index: /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.card
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.card	(revision 1763)
+++ /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.card	(revision 1764)
@@ -11,4 +11,9 @@
 OPA_version=v3_2
 #==============================================================
+
+#===================================
+#-- Use (y) or not (n) of io_server
+io_server=n
+#===================================
 
 #-- if you run interannual is "y", if not (=climatology) is "n"
@@ -57,14 +62,11 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/sss_data.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/sst_data.nc, .),\
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/subbasins.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/chlaseawifs_c1m-99-05_smooth_ORCA_R2.nc, chlorophyll.nc),\
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/Tides_K1_drg_ORCA_R2.nc, K1rowdrg.nc),\
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/Tides_M2_drg_ORCA_R2.nc, M2rowdrg.nc),\
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/tmaskitf_ORCA2_bis.nc, mask_itf.nc),\
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/kRGB61.txt, .)
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/subbasins.nc, .)
 
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/namelist, namelist)
+List=	(${SUBMIT_DIR}/PARAM/namelist,         namelist), \
+	(${SUBMIT_DIR}/PARAM/iodef.xml,        iodef.xml),      \
+        (${SUBMIT_DIR}/PARAM/xmlio_server.def, xmlio_server.def)
 
 [RestartFiles]
@@ -72,42 +74,59 @@
 
 [OutputText]
-List=   (ocean.output, solver.stat, STRAIT.dat)
+List=   (ocean.output, solver.stat, STRAIT.dat, out_nemo)
 
 [OutputFiles]
-List=   (${PREFIX_NWRITE}_${DATE_OPA}_grid_T.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_T.nc, Post_1M_grid_T),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_grid_U.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_U.nc, Post_1M_grid_U) ,\
-        (${PREFIX_NWRITE}_${DATE_OPA}_grid_V.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_V.nc, Post_1M_grid_V),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_grid_W.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_W.nc, Post_1M_grid_W),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_diaptr.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diaptr.nc, Post_1M_diaptr),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_trends.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_trends.nc, NONE),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_diagap.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diagap.nc, NONE),\
-        (damping.coeff.nc , ${R_OUT_OCE_NWRITE}/${PREFIX}_damping.coeff.nc, NONE),\
-        (mesh_mask.nc     , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
-        (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc, NONE),\
-        (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
+List=   (${PREFIX_WF1}_grid_T.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_T.nc,               Post_1Y_grid_T),\
+        (${PREFIX_WF2}_grid_T.nc,         ${R_OUT_OCE_WF2}/${PREFIX}_${WF2}_grid_T.nc,               Post_1M_grid_T),\
+        (${PREFIX_WF3}_grid_T.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_T.nc,               Post_5D_grid_T),\
+        (${PREFIX_WF3}_grid_U.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_U.nc,               Post_5D_grid_U) ,\
+        (${PREFIX_WF3}_grid_V.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_V.nc,               Post_5D_grid_V),\
+        (${PREFIX_WF3}_grid_W.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_W.nc,               Post_5D_grid_W),\
+        (${PREFIX_WF4}_grid_T_0n180w.nc,  ${R_OUT_OCE_WF4}/${PREFIX}_${WF4}_grid_T_0n180w.nc,        NONE ),\
+        (${PREFIX_WF4}_grid_T_Eq.nc,      ${R_OUT_OCE_WF4}/${PREFIX}_${WF4}_grid_T_Eq.nc,            NONE ),\
+        (${PREFIX_WF4}_diaptr.nc,         ${R_OUT_OCE_WF4}/${PREFIX}_${WF4}_diaptr.nc,               Post_1D_diaptr),\
+        (mesh_mask.nc     ,               ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
+        (output.abort.nc  ,               ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc,                  NONE),\
+        (output.init.nc   ,               ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
 
 
 [Post_1M_grid_T]
-Patches = ()
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
 TimeSeriesVars = (sohtc300, sohefldo, soicecov, somxl010, sosaline, sossheig, sosstsst, sowaflcd, sowaflup)
 
-[Post_1M_grid_U]
-Patches = ()
+[Post_1Y_grid_T]
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (sohtc300, sohefldo, soicecov, somxl010, sosaline, sossheig, sosstsst, sowaflcd, sowaflup)
+
+[Post_5D_grid_T]
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (sohtc300, sohefldo, soicecov, somxl010, sosaline, sossheig, sosstsst, sowaflcd, sowaflup)
+
+[Post_5D_grid_U]
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter)
 TimeSeriesVars = (sozotaux)
 
-[Post_1M_grid_V]
-Patches = ()
+[Post_5D_grid_V]
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter)
 TimeSeriesVars = (sometauy)
 
-[Post_1M_grid_W]
-Patches = ()
+[Post_5D_grid_W]
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter)
 TimeSeriesVars =
 
-[Post_1M_diaptr]
+[Post_1D_diaptr]
 Patches = ()
 GatherWithInternal = (lat, deptht, depthw, time_counter)
 TimeSeriesVars = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
+
+[Post_time]
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal =
+TimeSeriesVars =
+
Index: /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.driver
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.driver	(revision 1763)
+++ /trunk/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.driver	(revision 1764)
@@ -36,5 +36,4 @@
     PAT_NITEND=$( supergrep nn_itend    ${SUBMIT_DIR}/PARAM/namelist )
     PAT_NLEAPY=$( supergrep nn_leapy    ${SUBMIT_DIR}/PARAM/namelist )
-    PAT_NWRITE=$( supergrep nn_write    ${SUBMIT_DIR}/PARAM/namelist )
     PAT_RESTAR=$( supergrep ln_rstart ${SUBMIT_DIR}/PARAM/namelist )
     PAT_NSTOCK=$( supergrep nn_stock    ${SUBMIT_DIR}/PARAM/namelist )
@@ -42,5 +41,4 @@
     PAT_NDATE0=$( supergrep nn_date0    ${SUBMIT_DIR}/PARAM/namelist )
     PAT_NMSH=$(   supergrep nn_msh      ${SUBMIT_DIR}/PARAM/namelist ) 
-    PAT_NF_PTR=$( supergrep nf_ptr_wri ${SUBMIT_DIR}/PARAM/namelist )
     
 
@@ -57,4 +55,8 @@
         set -A ListFormulationRunsbc -- \${opa9_Interannual_Listrunsbc${opa9_Interannual_List_runsbc}[*]}
 
+    ##--Variables used for XMLIO_SERVER configuration file
+	    # using_server: .TRUE.(.FALSE.) to use(bypass) the io_server
+	    PAT_SERVER=$( supergrep using_server ${SUBMIT_DIR}/PARAM/xmlio_server.def )
+	
     IGCM_debug_PopStack "OCE_Initialize"
 }
@@ -138,29 +140,26 @@
 
     ##--Write Frequency Purpose ....
-    frequency=$( echo ${config_OCE_WriteFrequency} | awk "-F " '{print $1}' )
-    factor=$( echo ${frequency} | sed -e "s/[yYmMdD]//" )
-    case ${frequency} in
-	1Y|1y)
-	    (( OPA_NWRITE = OPA_NDT_DAY * factor * $( IGCM_date_DaysInYear  ${year} ) ))          ;
-	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}y ;
-	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_Y} ;
-	    R_OUT_ICE_NWRITE=${R_OUT_ICE_O_Y} ;
-	    WF1=${factor}Y ;;
-	1M|1m)
-	    (( OPA_NWRITE = OPA_NDT_DAY * factor * $( IGCM_date_DaysInMonth ${year} ${month} ) )) ;
-	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}m ;
-	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_M} ;
-	    R_OUT_ICE_NWRITE=${R_OUT_ICE_O_M} ;
-	    WF1=${factor}M ;;
-	*D|*d)
-	    (( OPA_NWRITE = OPA_NDT_DAY * factor  ))  ;
-	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}d ;
-	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_D} ;
-	    R_OUT_ICE_NWRITE=${R_OUT_ICE_O_D} ;
-	    WF1=${factor}D ;;
-	*)
-	    (( OPA_NWRITE = 0 ))                                                            ;;
-    esac
-
+    typeset -Z1 i=1
+    while [ $i -le ${NbFreq} ]; do
+        frequency=$( echo ${config_OCE_WriteFrequency} | awk -v var="$i" "-F " '{print $var}' )
+    	factor=$( echo ${frequency} | sed -e "s/[yYmMdD]//" )
+    	case ${frequency} in
+    	    *Y|*y)
+    	        eval PREFIX_WF${i}=${config_UserChoices_JobName}_${factor}y_${DatesPeriod} ;
+    	        eval R_OUT_OCE_WF${i}=${R_OUT_OCE_O_Y} ;
+    	        eval WF${i}=${factor}Y ;;
+    	    *M|*m)
+    	        eval PREFIX_WF${i}=${config_UserChoices_JobName}_${factor}m_${DatesPeriod} ;
+    	        eval R_OUT_OCE_WF${i}=${R_OUT_OCE_O_M} ;
+    	        eval WF${i}=${factor}M ;;
+    	    *D|*d)
+    	        eval PREFIX_WF${i}=${config_UserChoices_JobName}_${factor}d_${DatesPeriod} ;
+    	        eval R_OUT_OCE_WF${i}=${R_OUT_OCE_O_D} ;
+    	        eval WF${i}=${factor}D ;;
+    	    *)
+    	esac
+        let i=$i+1
+
+    done
     # Period Length In Days between DateBegin and first day of calendar 0001 01 01
     # Needed by OPA namelist to compute correct file names 
@@ -228,5 +227,4 @@
 	-e "s%${PAT_NIT000}%       nn_it000=${OPA_NIT000}%"                    \
 	-e "s%${PAT_NITEND}%       nn_itend=${OPA_NITEND}%"                    \
-	-e "s%${PAT_NWRITE}%       nn_write=${OPA_NWRITE}%"                    \
 	-e "s%${PAT_RESTAR}%       ln_rstart=${OPA_LRSTAR}%"                 \
 	-e "s%${PAT_NSTOCK}%       nn_stock=${OPA_NSTOCK}%"                    \
@@ -235,12 +233,16 @@
 	-e "s%${PAT_NMSH}%         nn_msh=${OPA_NMSH}%"                        \
 	-e "s%${PAT_NLEAPY}%       nn_leapy=${OPA_NLEAPY}%"	              \
-        -e "s%${PAT_NF_PTR}%       nf_ptr_wri=${OPA_NWRITE}%"                \
 	namelist > namelist.tmp
 
     IGCM_sys_Mv namelist.tmp namelist
 
-    echo 'Variables automatically updated in namelists'
-    grep AUTO namelist*
-
+    # update xmlio_server.def
+
+    if [ X${opa9_UserChoices_io_server} = Xy ] ; then
+        sed -e "s/${PAT_SERVER}/  using_server = .TRUE./" \
+        xmlio_server.def > xmlio_server.def.tmp
+        IGCM_sys_Mv xmlio_server.def.tmp xmlio_server.def
+    fi
+	
     IGCM_debug_PopStack "OCE_Update"
 }
Index: /trunk/CONFIG/ORCA2_LIM/IGCM00/PARAM/namelist
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/IGCM00/PARAM/namelist	(revision 1763)
+++ /trunk/CONFIG/ORCA2_LIM/IGCM00/PARAM/namelist	(revision 1764)
@@ -24,18 +24,18 @@
 !-----------------------------------------------------------------------
    nn_no       =       0   !  job number
-   cn_exp      =  "ORCA2"  !  AUTO - experience name 
-   nn_it000    =       1   !  AUTO - first time step
-   nn_itend    =    5475   !  AUTO - last  time step (std 5475)
-   nn_date0    =  010101   !  AUTO - initial calendar date yymmdd (used if nrstdt=1)
-   nn_leapy    =       0   !  AUTO - Leap year calendar (1) or not (0)
+   cn_exp      =  "ORCA2"  !  experience name 
+   nn_it000    =       1   !  first time step
+   nn_itend    =    5475   !  last  time step (std 5475)
+   nn_date0    =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
+   nn_leapy    =       0   !  Leap year calendar (1) or not (0)
    nn_istate   =       0   !  output the initial state (1) or not (0)
-   nn_stock    =    5475   !  AUTO - frequency of creation of a restart file (modulo referenced to 1)
-   nn_write    =    5475   !  AUTO - frequency of write in the output file   (modulo referenced to nit000)
+   nn_stock    =    5475   !  frequency of creation of a restart file (modulo referenced to 1)
+   nn_write    =    5475   !  frequency of write in the output file   (modulo referenced to nit000)
    ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
-   ln_mskland  = .true.    !  mask land points in NetCDF outputs (costly: + ~15%)
+   ln_mskland  = .false.   !  mask land points in NetCDF outputs (costly: + ~15%)
    ln_clobber  = .false.   !  clobber (overwrite) an existing file
    nn_chunksz  =       0   !  chunksize (bytes) for NetCDF file (working only with iom_nf90 routines)
-   ln_rstart   = .false.   !  AUTO - start from rest (F) or from a restart file (T)
-   nn_rstctl   =       0       !  AUTO - restart control = 0 nit000 is not compared to the restart file value
+   ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
+   nn_rstctl   =       0       !  restart control = 0 nit000 is not compared to the restart file value
                                !                  = 1 use ndate0 in namelist (not the value in the restart file)
                                !                  = 2 calendar parameters read in the restart file
@@ -75,5 +75,5 @@
    nn_bathy    =    1      !  compute (=0) or read(=1) the bathymetry file
    nn_closea   =    0      !  closed seas and lakes are removed (=0) or kept (=1) from the ORCA domain
-   nn_msh      =    0      !  AUTO - create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
+   nn_msh      =    0      !  create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
    rn_e3zps_min=   20.     !  the thickness of the partial step is set larger than the minimum
    rn_e3zps_rat=    0.1    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
@@ -168,15 +168,15 @@
 &namsbc_core   !   namsbc_core  CORE bulk formulea
 !-----------------------------------------------------------------------
-!              !   file name    ! frequency (hours) ! variable   ! time interpol. !  clim    ! 'yearly'/ !       weights     ! rotation !
-!              !                !  (if <0  months)  !   name     !    (logical)   !  (T/F)   ! 'monthly' !       filename    ! pairing  !
-   sn_wndi     = 'u10_core'     ,        6          , 'u10'      ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_wndj     = 'v10_core'     ,        6          , 'v10'      ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_qsr      = 'qsw_core'     ,       24          , 'radsw'    ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_qlw      = 'qlw_core'     ,       24          , 'radlw'    ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_tair     = 't2_core'      ,        6          , 't2'       ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_humi     = 'q2_core'      ,        6          , 'q2'       ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_prec     = 'precip_core'  ,       -1          , 'precip'   ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_snow     = 'snow_core'    ,       -1          , 'snow'     ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_tdif     = 'taudif_core'  ,       24          , 'taudif'   ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights              ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename             ! pairing  !
+   sn_wndi     = 'u10_core'   ,       -1          , 'u10'      ,    .true.      , .true.  , 'yearly'  ,'bicubic_weights_orca2.nc' , 'U1'
+   sn_wndj     = 'v10_core'   ,       -1          , 'v10'      ,    .true.      , .true.  , 'yearly'  ,'bicubic_weights_orca2.nc' , 'V1'
+   sn_qsr      = 'qsw_core'   ,       -1          , 'swdn'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_qlw      = 'qlw_core'   ,       -1          , 'lwdn'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_tair     = 't2_core'    ,       -1          , 't2'       ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_humi     = 'q2_core'    ,       -1          , 'q2'       ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_prec     = 'precip_core',       -1          , 'precip'   ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_snow     = 'snow_core'  ,       -1          , 'snow'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_tdif     = 'taudif_core',       24          , 'taudif'   ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
 !
    cn_dir      = './'      !  root directory for the location of the bulk files
@@ -262,5 +262,5 @@
                            !  or to SSS only (=1) or no damping term (=0)
    rn_dqdt     =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
-   rn_deds     =   -27.7   !  magnitude of the damping on salinity   [mm/day/psu]
+   rn_deds     =   -27.7   !  magnitude of the damping on salinity   [mm/day]
    ln_sssr_bnd =   .true.  !  flag to bound erp term (associated with nn_sssr=2)
    rn_sssr_bnd =   4.e0    !  ABS(Max/Min) value of the damping erp term [mm/day]
@@ -683,5 +683,5 @@
 !-----------------------------------------------------------------------
    nn_gap     =  15        !  time-step frequency of model-data gap computation
-   nn_prg     =  10        !  AUTO - time-step frequency of gap print in model output
+   nn_prg     =  10        !  time-step frequency of gap print in model output
 /
 !-----------------------------------------------------------------------
@@ -702,6 +702,6 @@
    ln_subbas  = .true.     !  Atlantic/Pacific/Indian basins computation (T) or not 
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
-   ln_ptrcomp = .true.     !  Add decomposition : overturning (and gyre, soon ...)
+   ln_ptrcomp = .true.     !  Add decomposition : overturning
    nf_ptr     =  1         !  Frequency of ptr computation [time step]
-   nf_ptr_wri =  15        !  AUTO - Frequency of ptr outputs
-/
+   nf_ptr_wri =  15        !  Frequency of ptr outputs
+/
Index: /trunk/CONFIG/ORCA2_LIM/IGCM00/config.card
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/IGCM00/config.card	(revision 1763)
+++ /trunk/CONFIG/ORCA2_LIM/IGCM00/config.card	(revision 1764)
@@ -10,14 +10,14 @@
 #============================
 #-- (<8 chars MAX for JobName)
-JobName=NL1
+JobName=ORCA2
 LongName="SCRIPT_V1"
 TagName=ORCA2_LIM2
 #============================
 #-- leap, noleap, 360d
-CalendarType=360d
+CalendarType=noleap
 #-- Begin and end of Job
 #-- "YYYY-MM-DD"
 DateBegin=2001-01-01
-DateEnd=2010-12-30
+DateEnd=2005-12-31
 #============================
 #-- 1Y, 1M, 5D, 1D
@@ -80,17 +80,17 @@
 #D- If you want to produce time series, this flag determines
 #D- frequency of post-processing submission
-TimeSeriesFrequency=10Y
+TimeSeriesFrequency=1Y
 #D- If you want to produce seasonal average, this flag determines
 #D- the period of this average
-SeasonalFrequency=10Y
+SeasonalFrequency=1Y
 
 #========================================================================
 #D-- OCE -
 [OCE]
-WriteFrequency="1M"
+WriteFrequency="1Y 1M 5D 1D"
 #WriteFrequency="5D"
 Restart= n
 ##-- Last day of the experience used as restart
-RestartDate=1999-12-30
+RestartDate=1999-12-31
 # Define restart simulation name
 RestartJobName=NL1
@@ -102,9 +102,8 @@
 #D-- ICE -
 [ICE]
-WriteFrequency="1M"
-#WriteFrequency="5D"
+WriteFrequency="5D"
 Restart= n
 ##-- Last day of the experience used as restart
-RestartDate=1999-12-30
+RestartDate=1999-12-31
 # Define restart simulation name
 RestartJobName=NL1
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/lim2.card
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/lim2.card	(revision 1763)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/lim2.card	(revision 1764)
@@ -21,8 +21,8 @@
 
 [OutputFiles]
-List=   (${PREFIX_NWRITE}_${DATE_OPA}_icemod.nc, ${R_OUT_ICE_NWRITE}/${PREFIX}_${WF1}_icemod.nc, Post_1M_icemod)
+List=   (${PREFIX_WFI1}_icemod.nc, ${R_OUT_ICE_WFI1}/${PREFIX}_${WFI1}_icemod.nc, Post_5D_icemod)
 
 [Post_1M_icemod]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars = (iicethic, ileadfra, isnowthi, iicevelu, iicevelv)
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/lim2.driver
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/lim2.driver	(revision 1763)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/lim2.driver	(revision 1764)
@@ -16,4 +16,29 @@
     IGCM_debug_PushStack "ICE_Update"
 
+    NbFreq=$( echo ${config_ICE_WriteFrequency} | wc -w )
+
+    ##--Write Frequency Purpose ....
+    typeset -Z1 i=1
+    while [ $i -le ${NbFreq} ]; do
+        frequency=$( echo ${config_ICE_WriteFrequency} | awk -v var="$i" "-F " '{print $var}' )
+        factor=$( echo ${frequency} | sed -e "s/[yYmMdD]//" )
+        case ${frequency} in
+            *Y|*y)
+                eval PREFIX_WFI${i}=${config_UserChoices_JobName}_${factor}y_${DatesPeriod} ;
+                eval R_OUT_ICE_WFI${i}=${R_OUT_ICE_O_Y} ;
+                eval WFI${i}=${factor}Y ;;
+            *M|*m)
+                eval PREFIX_WFI${i}=${config_UserChoices_JobName}_${factor}m_${DatesPeriod} ;
+                eval R_OUT_ICE_WFI${i}=${R_OUT_ICE_O_M} ;
+                eval WFI${i}=${factor}M ;;
+            *D|*d)
+                eval PREFIX_WFI${i}=${config_UserChoices_JobName}_${factor}d_${DatesPeriod} ;
+                eval R_OUT_ICE_WFI${i}=${R_OUT_ICE_O_D} ;
+                eval WFI${i}=${factor}D ;;
+            *)
+        esac
+        let i=$i+1
+
+    done
     echo UPDATE ICE !!!
 
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.card
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.card	(revision 1763)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.card	(revision 1764)
@@ -6,11 +6,16 @@
 #==============================================================
 #-- Name of directory for COMMON ACCOUNT at idris or CCRT
-#-- available directories are:  v3, v3_1
-#-- related to NEMO_tag_revision (nemo_v3, nemo_v3_1)
+#-- available directories are:  v3, v3_1, v3_2
+#-- related to NEMO_tag_revision (nemo_v3, nemo_v3_1, nemo_v3_2_beta)
 #-- NOTE: if you use your own directory you have to comment it
-OPA_version=v3_1
+OPA_version=v3_2
 #==============================================================
 
-#-- if you run interannual is "y", if not is "n"
+#===================================
+#-- Use (y) or not (n) of io_server
+io_server=n
+#===================================
+
+#-- if you run interannual is "y", if not (=climatology) is "n"
 Interannual_Run=n
 
@@ -24,5 +29,8 @@
 #-- MANDATORY: NAMES USED IN List_jobsbc VARIABLE MUST BE ONLY THE BASENAME
 
-List_jobsbc=(taux_1m, tauy_1m, flx)
+# default climatology, bulk_clio: 
+List_jobsbc=(flx, taux_1m, tauy_1m)
+# example for interannual, bulk core:
+#List_jobsbc=(radlw_DFS4-ORCA2, radsw_DFS4-ORCA2, q2_DFS4-ORCA2, t2_DFS4-ORCA2, u10_DFS4-ORCA2, v10_DFS4-ORCA2, snow_DFS4-ORCA2, precip_DFS4-ORCA2)
 
 #==========================================================================================
@@ -33,5 +41,8 @@
 #-- 2) leave List_runsbc empty so NEMO will read file names specified in List_jobsbc variable above
 
+# default climatology, bulk_clio: 
 List_runsbc=()
+# example for interannual, bulk core:
+#List_runsbc=(qlw_core, qsw_core, q2_core, t2_core, u10_core, v10_core, snow_core, precip_core)
 
 [InitialStateFiles]
@@ -53,6 +64,9 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/subbasins.nc, .)
 
+
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/namelist, namelist)
+List=	(${SUBMIT_DIR}/PARAM/namelist,         namelist), \
+	(${SUBMIT_DIR}/PARAM/iodef.xml,        iodef.xml),      \
+        (${SUBMIT_DIR}/PARAM/xmlio_server.def, xmlio_server.def)
 
 [RestartFiles]
@@ -60,34 +74,59 @@
 
 [OutputText]
-List=   (ocean.output, solver.stat, STRAIT.dat)
+List=   (ocean.output, solver.stat, STRAIT.dat, out_nemo)
 
 [OutputFiles]
-List=   (${PREFIX_NWRITE}_${DATE_OPA}_grid_T.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_T.nc, Post_1M_grid_T),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_grid_U.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_U.nc, Post_1M_grid_U) ,\
-        (${PREFIX_NWRITE}_${DATE_OPA}_grid_V.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_V.nc, Post_1M_grid_V),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_grid_W.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_W.nc, Post_1M_grid_W),\
-        (damping.coeff.nc , ${R_OUT_OCE_NWRITE}/${PREFIX}_damping.coeff.nc, NONE),\
-        (mesh_mask.nc     , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
-        (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc, NONE),\
-        (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
+List=   (${PREFIX_WF1}_grid_T.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_T.nc,               Post_1Y_grid_T),\
+        (${PREFIX_WF2}_grid_T.nc,         ${R_OUT_OCE_WF2}/${PREFIX}_${WF2}_grid_T.nc,               Post_1M_grid_T),\
+        (${PREFIX_WF3}_grid_T.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_T.nc,               Post_5D_grid_T),\
+        (${PREFIX_WF3}_grid_U.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_U.nc,               Post_5D_grid_U) ,\
+        (${PREFIX_WF3}_grid_V.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_V.nc,               Post_5D_grid_V),\
+        (${PREFIX_WF3}_grid_W.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_W.nc,               Post_5D_grid_W),\
+        (${PREFIX_WF4}_grid_T_0n180w.nc,  ${R_OUT_OCE_WF4}/${PREFIX}_${WF4}_grid_T_0n180w.nc,        NONE ),\
+        (${PREFIX_WF4}_grid_T_Eq.nc,      ${R_OUT_OCE_WF4}/${PREFIX}_${WF4}_grid_T_Eq.nc,            NONE ),\
+        (${PREFIX_WF4}_diaptr.nc,         ${R_OUT_OCE_WF4}/${PREFIX}_${WF4}_diaptr.nc,               Post_1D_diaptr),\
+        (mesh_mask.nc     ,               ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
+        (output.abort.nc  ,               ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc,                  NONE),\
+        (output.init.nc   ,               ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
 
 
 [Post_1M_grid_T]
-Patches = ()
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
 TimeSeriesVars = (sohtc300, sohefldo, soicecov, somxl010, sosaline, sossheig, sosstsst, sowaflcd, sowaflup)
 
-[Post_1M_grid_U]
-Patches = ()
+[Post_1Y_grid_T]
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (sohtc300, sohefldo, soicecov, somxl010, sosaline, sossheig, sosstsst, sowaflcd, sowaflup)
+
+[Post_5D_grid_T]
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (sohtc300, sohefldo, soicecov, somxl010, sosaline, sossheig, sosstsst, sowaflcd, sowaflup)
+
+[Post_5D_grid_U]
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter)
 TimeSeriesVars = (sozotaux)
 
-[Post_1M_grid_V]
-Patches = ()
+[Post_5D_grid_V]
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter)
 TimeSeriesVars = (sometauy)
 
-[Post_1M_grid_W]
-Patches = ()
+[Post_5D_grid_W]
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter)
 TimeSeriesVars =
+
+[Post_1D_diaptr]
+Patches = ()
+GatherWithInternal = (lat, deptht, depthw, time_counter)
+TimeSeriesVars = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
+
+[Post_time]
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal =
+TimeSeriesVars =
+
